html {
    margin: 0;
    height: 100%;
}

img {
    width: 20%;
    min-width: 200px;
}

body {
    background-color: #AFD3E2;
    height: 100%;
}

#content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    align-items: center;
}

#profile {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

nav {
    display: flex;
    flex-direction:row;
    justify-content: space-evenly;
    margin-bottom: 50px;
}

nav a {
    color: #ebf4f4;
    background-color: #146C94;
    text-decoration: none;
    min-width: 12%;
    max-width: 15%;
    height: 40px;
    text-align: center;
    border-radius: 2px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-size: 16px;
}

.profile-button {
    text-decoration: none;
    background-color: #146C94;
    color: #ebf4f4;
    width: 30%;
    height: 40px;
    border-radius: 2px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-size: 18px;
}

#edit-profile-div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#edit-profile-form {
    display: flex;
    flex-direction: column;
}

#edit-profile-div div{
    display: flex;
    flex-direction: row;
    min-width: 40%;
    
}


#edit-profile-form #submit {
    width: 20%;
    align-self: center;
    margin-top: 5px;
}

#edit-profile-form input {
    margin-bottom: 10px;
}

label {
    margin-left: 20px;
    margin-right: 10px;
}

h1 {
    text-align: center;
    margin-bottom: 40px;
    border-bottom: 2px solid #146C94;
}

#login, #signup {
    background-color: #becbd4;
    height: 50px;
    text-align: center;
    padding: 5%;
    width: 80%;
    border-radius: 2px;
    border: 2px solid #146C94;
}

#term_select {
    width: 10%;
}

select {
    width: 20%;
    text-align: center;
    margin-left: 20px;
    border-radius: 4px;
}

#searchbar {
    width: 20%;
    text-align: center;
    border-radius: 4px;
    border: 1px solid black;
}

#search-filter {
    width: 80%;
}

#search-filter #submit {
    margin-left: 20px;
}

#submit {
    border-radius: 4px;
    background-color: #146C94;
    color: #ebf4f4;
    border: 1px solid black;
}

form {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-bottom: 30px;
}

#courses {
    display: flex;
    flex-direction: column;
    border: 3px solid black;
    margin: 5px 15%;
    background-color: #ebf4f4;
}

.course {
    border: 1px solid black;
    display: flex;
    flex-direction: column;
    margin: 5px;
    background-color: #ebf4f4;
}

.course_header {
    display: flex;
    justify-content: space-around;
    border: 1px solid black;
}

.course_description {
    margin: 3px;
}

#competencies {
    background-color: #ebf4f4;
    border: 3px solid black;
    margin: 5px 10%;
}

.competency {
    border: 1px solid blue;
    background-color: #ebf4f4;
}

.elements {
    border: 3px solid #146C94;
    padding: 5px;
}

.element {
    border: 1px solid black;
    margin: 3px;
    background-color: #ebf4f4;
}

.relevant_courses {
    border: 3px solid #19A7CE;
    padding: 5px;
}

#domains {
    background-color: #ebf4f4;
    border: 3px solid black;
    margin: 5px 5%;
}

.domain {
    border: 1px solid black;
    padding: 5px;
    margin: 3px;
    background-color: #ebf4f4;
}

input#competency, input#competency_type {
    width: 50%;
}

textarea#competency_achievement {
    width: 50%;
    height: 100px;
}

#flash_messages {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.flash {
    background-color: #146C94;
    color: #ebf4f4;
    width: 60%;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-radius: 5px;
    font-weight:normal;
}

a.link-button {
    border: 1px solid black;
    margin: 5px;
    padding: 3px;
    background-color: #146C94;
    color: #ebf4f4;
}

a.link-button:hover {
    background-color: #1d9dd7;
}

footer {
    text-align: center;
    width: 100%;
    margin-top: 100px;
}

hr {
    width: 80%;
    border: 1px solid #146C94;
}

#groups {
    width: 60%;
}

#groups ul {
    background-color: #ebf4f4;
    min-height: 30px;
    border-radius: 5px;
    min-width: 200px;
    text-align: left;
}

.groupname {
    text-align: left;
}

.groupname a {
    text-decoration: none;
}

#groupname {
    min-width: 50%;
    margin-right: 5px;
    margin-left: -5px;
}

#group-permissions, #group-members {
    text-align: left;
    min-width: 60%;
    background-color: #ebf4f4;
    min-height: 30px;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#group-permissions li, #group-members li {
    display: flex;
    flex-direction: column;
    align-items: start;
    margin-bottom: 4%;
}

#group-members form {
    margin-bottom: 0px;
}

#delete_user {
    border-radius: 4px;
    background-color: #146C94;
    color: #ebf4f4;
    border: 1px solid black;
}

#members {
    width: 90%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.member {
    width: 60%;
    display: flex;
    flex-direction: column;
    align-items: start;
    background-color: #ebf4f4;
    margin-bottom: 2%;
    padding: 1%;
    border-radius: 5px;
}

.member form {
    margin-top: 1%;
    margin-bottom: 0%;
}

.member #groupname {
    width: 30%;
}

.add-button, .edit-button, .delete-button {
    border-radius: 4px;
    background-color: #146C94;
    color: #ebf4f4;
    border: 1px solid black;
    text-decoration: none;
    margin-bottom: 2%;
    padding: 1%;
}

#compElems {
    width: 90%;
}

.edit-connection, .delete-connection {
    border-radius: 4px;
    background-color: #146C94;
    color: #ebf4f4;
    border: 1px solid black;
    text-decoration: none;
}

.add-element {
    border-radius: 4px;
    background-color: #146C94;
    color: #ebf4f4;
    border: 1px solid black;
    text-decoration: none;
}

.element {
    padding: 1%;
}

#compElems .competency {
    margin-top: 2%;
    border-radius: 5px;
    border: 2px solid #146C94;
}

#add-course, #add-competency, #add-course-elem, #add-course-comp, #add-domain {
    display: flex;
    flex-direction: column;
    justify-content: center;
}